Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.memoryuse
Class MemoryUseProblemStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.AbstractProblemStatistic
          org.optaplanner.benchmark.impl.statistic.memoryuse.MemoryUseProblemStatistic

All Implemented Interfaces:
  ProblemStatistic

    public class MemoryUseProblemStatistic

extends AbstractProblemStatistic

Nested Class Summary

Nested classes/interfaces inherited from class org.optaplanner.benchmark.impl.statistic.AbstractProblemStatistic
`AbstractProblemStatistic.ProblemStatisticCsv, AbstractProblemStatistic.ProblemStatisticCsvLine`

Field Summary
`protected File` | `graphStatisticFile`

Fields inherited from class org.optaplanner.benchmark.impl.statistic.AbstractProblemStatistic
`csvStatisticFile, problemBenchmark, problemStatisticType, warningList`

Constructor Summary
`MemoryUseProblemStatistic(ProblemBenchmark problemBenchmark)`

Method Summary
`SingleStatistic` | `createSingleStatistic()` This method is thread-safe.
`protected void` | `fillWarningList()`
`String` | `getGraphFilePath()`
`protected void` | `writeCsvStatistic()`
`protected void` | `writeGraphStatistic()`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.AbstractProblemStatistic
`getAnchorId, getCsvFilePath, getProblemBenchmark, getProblemStatisticType, getWarningList, toFilePath, writeChartToImageFile, writeStatistic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphStatisticFile

    protected File graphStatisticFile

Constructor Detail

### MemoryUseProblemStatistic

    public MemoryUseProblemStatistic(ProblemBenchmark problemBenchmark)

Method Detail

### createSingleStatistic

    public SingleStatistic createSingleStatistic()

  Description copied from interface: `ProblemStatistic`
  This method is thread-safe.

  Returns:
    never null

### getGraphFilePath

    public String getGraphFilePath()

  Returns:
    never null, relative to the `DefaultPlannerBenchmark.benchmarkReportDirectory` (not `ProblemBenchmark.problemReportDirectory`)

### writeCsvStatistic

    protected void writeCsvStatistic()

  Specified by:
    `writeCsvStatistic` in class `AbstractProblemStatistic`

### writeGraphStatistic

    protected void writeGraphStatistic()

  Specified by:
    `writeGraphStatistic` in class `AbstractProblemStatistic`

### fillWarningList

    protected void fillWarningList()

  Overrides:
    `fillWarningList` in class `AbstractProblemStatistic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.